Bug 180077 - gimp seg faults after anchoring a pasted selection
gimp seg faults after anchoring a pasted selection
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 09:36 EST by Joel Uckelman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 10:56:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PNG #1 (664 bytes, image/png)
2006-02-05 09:40 EST, Joel Uckelman
no flags Details
PNG #2 (1.08 KB, image/png)
2006-02-05 09:40 EST, Joel Uckelman
no flags Details
PNG #3 (1.08 KB, image/png)
2006-02-05 09:41 EST, Joel Uckelman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 330138 None None None Never

  None (edit)
Description Joel Uckelman 2006-02-05 09:36:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
I found a way to make GIMP crash while editing some PNGs. In case there's something odd about the particular PNGs I was using, I'm attaching them here.

Version-Release number of selected component (if applicable):
gimp-2.2.10-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Open PNG #1.
2. Select lower left corner with wand.
3. Copy the selection.
4. Open PNG #2.
5. Paste into the lower left corner there, and anchor the selection.
6. Save and close PNG #2.
7. Open PNG #3.
8. Paste into the lower left corner there, and anchor the selection.

Actual Results:  GIMP crashes, writing this to the terminal:

(script-fu:4842): LibGimpBase-WARNING **: script-fu: wire_read(): error
Segmentation fault




Expected Results:  The selection should anchor; GIMP should not crash.

Additional info:
Comment 1 Joel Uckelman 2006-02-05 09:40:17 EST
Created attachment 124208 [details]
PNG #1
Comment 2 Joel Uckelman 2006-02-05 09:40:50 EST
Created attachment 124209 [details]
PNG #2
Comment 3 Joel Uckelman 2006-02-05 09:41:19 EST
Created attachment 124210 [details]
PNG #3
Comment 4 Joel Uckelman 2006-02-05 09:47:19 EST
The "save and close" step appears to be necessary for causing the crash---it
works fine without that.
Comment 5 Nils Philippsen 2006-02-06 10:56:30 EST
I've submitted this one upstream.

Note You need to log in before you can comment on or make changes to this bug.